---
title: RTCStats.type
slug: Web/API/RTCStats/type
tags:
  - API
  - Property
  - RTCStats
  - Report
  - Statistics
  - Stats
  - Type
  - WebRTC
  - WebRTC API
  - rtc
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The {{domxref("RTCStats")}} dictionary's property <code><strong>type</strong></code> is a string which specifies the type of statistic represented by the object, where the permitted values are drawn from the enum type {{domxref("RTCStatsType")}}.</span> The string can be used to determine which of the {{domxref("RTCStats")}}-based dictionaries are the foundation of the statistics object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>type</em> = <em>RTCStats</em>.type;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} which specifies which type of statistic is represented by the object. The string comes from the {{domxref("RTCStatsType")}} enum and corrsponds to one of the {{domxref("RTCStats")}}-based statistic object types.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtcstats-type', 'RTCStats.type')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCStats.type")}}</p>
